function My_clickpos_plot(currimg, varargin) 
    if length(varargin) > 0
        cscale = varargin{1};
    end

%     clf;
%     hAxes = axes();
    imageHandle = imagesc(currimg); 
    axis image
    set(imageHandle,'ButtonDownFcn',@ImageClickCallback);  %XT: setup the button action
    
    if length(varargin) > 0
        caxis(cscale);
    end
    
    caxis([0, max(currimg(:))*8/12]);
end
    
    
function ImageClickCallback ( objectHandle , eventData )
    axesHandle  = get(objectHandle,'Parent');
    coordinates = get(axesHandle,'CurrentPoint'); 
    coordinates = coordinates(1,1:2)
    assignin('caller','coordinates',coordinates);  %XT: this step is important. Set value to the caller workspace
end