function [stackLayers, profileIndicator, layerIndex]=sumSlice_XY(DataMatrix,direction)


atomiclayers = 20; %
dim = size(DataMatrix,direction);
profileIndicator= false(1,dim);

%plot the peaks in each layer
switch direction
    case 1
        sum1=squeeze(sum(sum(DataMatrix,2),3));
        [pks,locs] = findpeaks(double(-sum1));%% reverse the summed array so that bottoms are peaks
        if size(locs,2)==1
            locs=locs';
        end
        figure();
        plot(1:1:dim,sum1,'b-',locs,-pks,'r.','MarkerSize',14);title('sumX');xlim([1 dim]);
        if size(locs,2)>atomiclayers
            % to include non-peaks in between
            for i = 1:size(locs,2)
                if i==1
                    stack = squeeze(sum(DataMatrix(1:locs(1)-1,:,:),direction));
                    stackLayers = stack;
                    profileIndicator(1)=1;
                    profileIndicator(locs(i))=1;
                elseif locs(i)-locs(i-1)<=8||locs(i)-locs(i-1)>13
                    stack=squeeze(sum(DataMatrix(locs(i-1):locs(i)-1,:,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                elseif locs(i)-locs(i-1)>8&&locs(i)-locs(i-1)<=13
                    stack=squeeze(sum(DataMatrix(locs(i-1):locs(i-1)+4,:,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i-1)+5)=1;
                    stack=squeeze(sum(DataMatrix(locs(i-1)+5:locs(i)-1,:,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                end
                if i==size(locs,2)
                    stack = squeeze(sum(DataMatrix(locs(end):end,:,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                    profileIndicator(dim)=1;
                end
            end
            
        else 
            stackLayers = zeros(dim,dim);
            for i = 1:5:dim-4
                stack=squeeze(sum(DataMatrix(i:i+4,:,:),direction));
                stackLayers = cat(3,stackLayers,stack);
            end
            stackLayers(:,:,1)=[];
        end

    case 2
        sum1=squeeze(sum(sum(DataMatrix,1),3));
        [pks,locs] = findpeaks(double(-sum1));%% reverse the summed array so that bottoms are peaks
        if size(locs,2)==1
            locs=locs';
        end
        figure();
        plot(1:1:dim,sum1,'b-',locs,-pks,'r.','MarkerSize',14);title('sumY');xlim([1 dim]);
        if size(locs,2)>atomiclayers
            % to include non-peaks in between
            for i = 1:size(locs,2)
                if i==1
                    stack = squeeze(sum(DataMatrix(:,1:locs(1)-1,:),direction));
                    stackLayers = stack;
                    profileIndicator(1)=1;
                    profileIndicator(locs(i))=1;
                elseif locs(i)-locs(i-1)<=8||locs(i)-locs(i-1)>13   
                    stack=squeeze(sum(DataMatrix(:,locs(i-1):locs(i)-1,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                elseif locs(i)-locs(i-1)>8&&locs(i)-locs(i-1)<=13
                    stack=squeeze(sum(DataMatrix(:,locs(i-1):locs(i-1)+4,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i-1)+5)=1;
                    stack=squeeze(sum(DataMatrix(:,locs(i-1)+5:locs(i)-1,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                end
                if i==size(locs,2)
                    stack = squeeze(sum(DataMatrix(:,locs(end):end,:),direction));
                    stackLayers = cat(3,stackLayers,stack);
                    profileIndicator(locs(i))=1;
                    profileIndicator(dim)=1;
                end
            end
        else
            stackLayers = zeros(dim,dim);
            for i = 1:5:dim-4
                stack=squeeze(sum(DataMatrix(:,i:i+4,:),direction));
                stackLayers = cat(3,stackLayers,stack);
            end
            stackLayers(:,:,1)=[];
        end
end

layerIndex=find(profileIndicator);